%define upstream_name    JSON-PP
%define upstream_version 2.27200

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Dummy module providing JSON::PP::Boolean
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/JSON/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildArch:  noarch

Conflicts: perl-devel < 5.14.0-4

%description
This module is the JSON::XS manpage compatible pure Perl module.

JSON::XS is the fastest and most proper JSON module on CPAN. It is written
in C.

JSON::PP is a pure-Perl module and has compatibility to JSON::XS.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std
# bug#1756 - prevent conflict with JSON::PP shipped with perl
mv %{buildroot}/%{_bindir}/json_pp %{buildroot}/%{_bindir}/json_pp-%{upstream_version}
mv %{buildroot}/%{_mandir}/man1/json_pp.1 %{buildroot}/%{_mandir}/man1/json_pp-%{upstream_version}.1

%files
%doc Changes META.yml README
%{_bindir}/*
%{_mandir}/man*/*
%perl_vendorlib/*


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 2.272.0-3.mga3
+ Revision: 368770
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 04 2011 jquelin <jquelin> 2.272.0-2.mga2
+ Revision: 162958
- owning files, not dirs
- take priority over module bundled with perl 5.14.2

* Wed Jun 22 2011 jquelin <jquelin> 2.272.0-1.mga2
+ Revision: 112062
- update to 2.27200

* Mon Jun 13 2011 tv <tv> 2.271.50-4.mga2
+ Revision: 105813
- description != requires|author|license tags or INSTALL file

* Mon Jun 13 2011 jquelin <jquelin> 2.271.50-3.mga2
+ Revision: 105782
- force upgrade at the same time than perl

* Sun Jun 12 2011 jquelin <jquelin> 2.271.50-2.mga2
+ Revision: 104596
- bug#1756 - prevent conflict with json_pp shipped with perl

* Wed Mar 09 2011 jquelin <jquelin> 2.271.50-1.mga1
+ Revision: 66989
- update to 2.27105

* Sat Feb 26 2011 jquelin <jquelin> 2.271.40-1.mga1
+ Revision: 60681
- update to 2.27104

* Fri Jan 21 2011 jquelin <jquelin> 2.271.30-1.mga1
+ Revision: 28685
- fix %%files
- mageia rebuild
- imported package perl-JSON-PP

